module ActiveScripts
  module Packages
    class Rails < ActiveScripts::Packages::Base

      # INFO: ActiveScripts::Packages::Rails contains code that
      #   execute the Rails package.

      private

      def install
        execute_command!("sudo apt-add-repository -y ppa:chris-lea/node.js")
        execute_command!("sudo apt-get -y install libssl-dev libreadline-dev libyaml-dev python-software-properties libxslt1-dev libxml2-dev nodejs checkinstall")

        say_ok("   Installation complete!")
      end

      def upgrade
        notify_command_todo!
      end

      def uninstall
        notify_command_todo!
      end

    end
  end
end